Package org.apache.ignite.internal.processors.cache.persistence.file

## Class UnzipFileIOFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.UnzipFileIOFactory

All Implemented Interfaces:
  `Serializable`, `FileIOFactory`

    public class UnzipFileIOFactory
    extends Object
    implements FileIOFactory

File I/O factory which provides `UnzipFileIO` implementation of FileIO.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`UnzipFileIOFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UnzipFileIO` `create​(File file, OpenOption... modes)` Creates I/O interface for file with specified mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.file.FileIOFactory

`create`

### Constructor Detail

#### UnzipFileIOFactory

    public UnzipFileIOFactory()

### Method Detail

#### create

    public UnzipFileIO create​(File file,
                              OpenOption... modes)
                       throws IOException

Creates I/O interface for file with specified mode.

Specified by:
  `create` in interface `FileIOFactory`
Parameters:
  `file` - File
  `modes` - Open modes.
Returns:
  File I/O interface.
Throws:
  `IOException` - If I/O interface creation was failed.